dots.v2.vpc_nat_gateways.byId().put()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.vpc_nat_gateways.byId(id).put(body: Vpc_nat_gateway_update, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Vpc_nat_gatewaysPutResponse>Description
To update the configuration of an existing VPC NAT Gateway, send a PUT request to
/v2/vpc_nat_gateways/{id}. The request must contain a full representation
of the VPC NAT Gateway including existing attributes.
Parameters
Path Parameters
idstring requiredExample:
70e1b58d-cdec-4e95-b3ee-2d4d95feff51The unique identifier of the VPC NAT gateway.
Request Body
namestring requiredExample:
my-vpc-nat-gatewayThe human-readable name of the VPC NAT gateway.
sizeinteger requiredExample:
1The size of the VPC NAT gateway.
vpcsarray of objects optionalAn array of VPCs associated with the VPC NAT gateway.
Show child properties
vpcUuidstring optionalExample:
0d3db13e-a604-4944-9827-7ec2642d32acThe unique identifier of the VPC to which the NAT gateway is attached.
subnetUuidstring optionalExample:
cbd79771-23eb-49be-b5ea-59cc56222622The unique identifier of the VPC subnet to which the NAT gateway is attached.
defaultGatewayboolean optionalExample:
falseThe classification of the NAT gateway as the default egress route for the VPC traffic.
udpTimeoutSecondsinteger optionalExample:
30The UDP timeout in seconds for the VPC NAT gateway.
icmpTimeoutSecondsinteger optionalExample:
30The ICMP timeout in seconds for the VPC NAT gateway.
tcpTimeoutSecondsinteger optionalExample:
30The TCP timeout in seconds for the VPC NAT gateway.
Request Sample
Response Example
More Information
See /v2/vpc_nat_gateways/{id} in the API reference for additional detail on responses, headers, parameters, and more.